const PicFukidasiPath = "pictures/PicFukidasi/";
class PicFukidasiData {
    constructor(spriteName , sizeX , sizeY , textSize){
        this.spriteName = spriteName;
        this.sizeX = sizeX;
        this.sizeY = sizeY;
        this.textSize = textSize;
    }
}
class ViewPicFukidasiData {
    constructor(picFukiData , spriteNo , anker , posX , posY) {
        this.picFukiData = picFukiData;
        this.spriteNo = spriteNo;
        this.anker = anker;
        this.posX = posX;
        this.posY = posY;
        this.fInFlg = false;
    }
}
var viewPicFukidasiArr = [];
Game_Interpreter.prototype.SetPicFukidasiR = function (picFukidasiData , spriteNo , textStr , posX , posY) {
    var pd = picFukidasiData;
    this.DelSprite(spriteNo + 3);   
    this.SpriteStrR( spriteNo + 3 , textStr , pd.textSize , posX - pd.sizeX , posY + (pd.sizeY / 2) - (pd.textSize / 2) - 2);
    var setData = new ViewPicFukidasiData(pd , spriteNo , "R" , posX , posY);
    viewPicFukidasiArr.push(setData);
}
Game_Interpreter.prototype.SetPicFukidasi = function (picFukidasiData , spriteNo , textStr , posX , posY) {
    var pd = picFukidasiData;
    this.DelSprite(spriteNo + 3);   
    this.SpriteStr( spriteNo + 3 , textStr , pd.textSize , posX + pd.sizeX , posY + (pd.sizeY / 2) - (pd.textSize / 2) - 2);
    var setData = new ViewPicFukidasiData(pd , spriteNo , "L" , posX , posY);
    viewPicFukidasiArr.push(setData);
}
let PicFukidasi_NUpdateSc = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    PicFukidasi_NUpdateSc.call(this);
    for (let i = 0; i <= viewPicFukidasiArr.length - 1; i++) {
        var ckData = viewPicFukidasiArr[i];
        var textSprData = GetSpriteData(ckData.spriteNo + 3);
        if (textSprData != null) {
            try {
                var txtWidth = textSprData.width;
                if (ckData.anker == "R") {
                    this.SetSpriteR(ckData.spriteNo , PicFukidasiPath + ckData.picFukiData.spriteName + "R" , ckData.posX , ckData.posY);
                    this.SetSpriteR(ckData.spriteNo + 1 , PicFukidasiPath + ckData.picFukiData.spriteName + "C" ,
                        ckData.posX - ckData.picFukiData.sizeX , ckData.posY, 255 ,txtWidth * 100 , 100 );
                    this.SetSpriteR(ckData.spriteNo + 2 , PicFukidasiPath + ckData.picFukiData.spriteName + "L" ,
                        ckData.posX - ckData.picFukiData.sizeX - txtWidth , ckData.posY);
                } else {
                    this.SetSprite(ckData.spriteNo , PicFukidasiPath + ckData.picFukiData.spriteName + "L" , ckData.posX , ckData.posY);
                    this.SetSprite(ckData.spriteNo + 1 , PicFukidasiPath + ckData.picFukiData.spriteName + "C" ,
                        ckData.posX + ckData.picFukiData.sizeX , ckData.posY, 255 ,txtWidth * 100 , 100 );
                    this.SetSprite(ckData.spriteNo + 2 , PicFukidasiPath + ckData.picFukiData.spriteName + "R" ,
                        ckData.posX + ckData.picFukiData.sizeX + txtWidth , ckData.posY);
                }
                viewPicFukidasiArr.splice(i , 1);
                i--;
            } catch (e) {
            }
        }
    }
}
Game_Interpreter.prototype.DelPicFukidasi = function (spriteNo) {
    this.DelSpriteSpan(spriteNo , spriteNo + 3);
}
Game_Interpreter.prototype.FukiTest = function () {
    var testDt = new PicFukidasiData("PN_FFuki" , 47 , 61 , 24);
    this.SetPicFukidasiR(testDt , 200 , SCol.Blk0 + "テキストテキストテキスト" , 600 , 300);
}
